Bug 113847 - Printing from Draw/Impress: restructure distributing/tiling options
Summary: Printing from Draw/Impress: restructure distributing/tiling options
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2017-11-15 07:32 UTC by Mike Kaganski
Modified: 2021-08-29 13:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Impress print dialog (9.09 KB, image/png)
2017-11-15 07:32 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-11-15 07:32:45 UTC
Created attachment 137770 [details]
Screenshot of Impress print dialog

When printing from Draw and Impress, there are two options (absent in other modules):

* Distribute on multiple sheets of paper
* Tile sheet on paper with repeated pages

They lack a description in help system, so here are the best descriptions I could find:

From tdf#63905:

> Tile pages puts multiple small pages onto one large page, unscaled. For instance,
> if you create a drawing with a page format of 4.25"x 5.5" (1/4th of a letter page)
> and print that on letter paper with tiling, it will put 4 non-scaled images on
> one sheet of letter paper.
> 
> I don't think the description of "Tile sheet of paper with repeated pages" is
> very meaningful, but I can't come up with anything better. It literally is just
> tiling the pages.

From tdf#84051:

> when you set page size to A2, and in printing set paper size as A4 and have
> "Distribute on multiple sheets of paper" selected, page will be printed to 9 pages

So, what they both do, is print the pages *unscaled*, but the "Distribute" deals with cases when the page in file is *larger* than selected printer's page, and the "Tile" deals with cases when the page in file is *smaller* than physical paper.

My proposal is to change these two items to be subitems of the "Original size" option, and make them checkboxes to be able to check none (so that original meaning of "Original size" is used in this case), one, or both. The reason is that a user could want, e.g., to distribute pages on several physical sheets of paper when paper is smaller, *and* tile when paper is large, or a combination. Of course, Draw/Impress don't allow for different page sizes in one file, but even then, it's possible to choose different printer paper at different times, and have a proper preset.
Comment 1 Regina Henschel 2017-11-15 18:31:17 UTC
The option "distribute on multiple sheets of paper" corresponds to "Poster" in Acrobat Reader. Unfortunately LibreOffice lacks some options like overlap and cut marks.
The option "Tile sheet of paper with repeated slides" is similar to background filling with an image.
For me the current texts describe the feature correctly.

I see no need for a new structure.

The current structure has been developed in CWS Printerpullpages for OOo3.3.

I agree, that a documentation is missing. The component should be "Documentation".
Comment 2 Howard Johnson 2017-11-15 20:08:18 UTC
* Document page is larger than printer page
   -Print each document page onto multiple smaller printer pages.

* Document page is smaller than printer page
   -Print multiple small pages onto a single larger printer page.
Comment 3 Xisco Faulí 2018-01-17 15:00:17 UTC
Hi Mike,
Do you agree with Regina in comment 1 ?
Comment 4 Mike Kaganski 2018-01-17 15:37:32 UTC
(In reply to Xisco Faulí from comment #3)
> Hi Mike,
> Do you agree with Regina in comment 1 ?

No. But if the proposal doesn't look logical, then it must have some flaw, that I don't see :) so - feel free to close as fits best.
Comment 5 Commit Notification 2021-04-27 10:57:43 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d6a094a2fe57a7f86c2a58863bdf797562a977b9

tdf#113847, tdf#34902 Update print dialog Help page